#include <bits/stdc++.h>
using namespace std;
int n, k, niz[20005];
int main(){
    cin >> n >> k;
    for(int i=1; i<=n; i++){
        cin >> niz[i];
    }
    if(niz[n]==k){
        cout << niz[1];}
    else{
        for(int i=1; i<=n; i++){
            if(niz[i]==k){cout << niz[i+1];}
        }

    }
    return 0;
}